<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE generatorConfiguration
        PUBLIC "-//mybatis.org//DTD MyBatis Generator Configuration 1.0//EN"
        "http://mybatis.org/dtd/mybatis-generator-config_1_0.dtd">
<!-- 配置生成器 -->
<generatorConfiguration>
    <context id="mysql" defaultModelType="flat">
        <property name="autoDelimitKeywords" value="true"/>
        <!-- 生成的Java文件的编码 -->
        <property name="javaFileEncoding" value="UTF-8"/>
        <!-- 格式化java代码 -->
        <property name="javaFormatter" value="org.mybatis.generator.api.dom.DefaultJavaFormatter"/>
        <!-- 格式化XML代码 -->
        <property name="xmlFormatter" value="org.mybatis.generator.api.dom.DefaultXmlFormatter"/>
        <!-- beginningDelimiter和endingDelimiter：指明数据库的用于标记数据库对象名的符号，比如ORACLE就是双引号，MYSQL默认是`反引号； -->
        <property name="beginningDelimiter" value="`"/>
        <property name="endingDelimiter" value="`"/>

        <plugin type="org.mybatis.generator.plugins.ToStringPlugin"/>
        <plugin type="org.mybatis.generator.plugins.UnmergeableXmlMappersPlugin"/>
        <plugin type="com.tzld.piaoquan.api.dao.generator.PaginationPlugin"/>

        <commentGenerator>
<!--            <property name="addRemarkComments" value="true"/>-->
            <property name="suppressDate" value="true"/>
            <property name="suppressAllComments" value="true"/>
        </commentGenerator>

        <jdbcConnection driverClass="com.mysql.jdbc.Driver"
                        connectionURL="jdbc:mysql://rm-bp17q95335a99272b.mysql.rds.aliyuncs.com:3306/growth-test?useUnicode=true&amp;characterEncoding=utf-8&amp;zeroDateTimeBehavior=convertToNull&amp;useSSL=false"
                        userId="crawler" password="crawler123456@">
        </jdbcConnection>

        <javaTypeResolver type="org.mybatis.generator.internal.types.JavaTypeResolverDefaultImpl">
            <property name="forceBigDecimals" value="false"/>
        </javaTypeResolver>

        <javaModelGenerator targetPackage="com.tzld.piaoquan.api.model.po.contentplatform" targetProject="api-module/src/main/java">
            <property name="constructorBased" value="false"/>
            <property name="enableSubPackages" value="true"/>
            <property name="immutable" value="false"/>
        </javaModelGenerator>

        <sqlMapGenerator targetPackage="mapper.contentplatform" targetProject="api-module/src/main/resources">
            <property name="enableSubPackages" value="true"/>
        </sqlMapGenerator>

        <javaClientGenerator targetPackage="com.tzld.piaoquan.api.dao.mapper.contentplatform" type="XMLMAPPER"
                             targetProject="api-module/src/main/java">
            <property name="enableSubPackages" value="true"/>
        </javaClientGenerator>

<!--        <table tableName="cgi_reply_bucket_data" domainObjectName="CgiReplyBucketData" alias=""/>-->
<!--        <table tableName="we_com_user" domainObjectName="WeComUser" alias=""/>-->
<!--        <table tableName="we_com_alert_message" domainObjectName="AlertMessage" alias=""/>-->
<!--        <table tableName="gh_detail" domainObjectName="GhDetail" alias=""/>-->
<!--        <table tableName="we_com_guarantees_video" domainObjectName="GuaranteesVideo" alias=""/>-->
<!--        <table tableName="we_com_staff" domainObjectName="Staff" alias=""/>-->
<!--        <table tableName="we_com_message_attachment" domainObjectName="MessageAttachment" alias=""/>-->
<!--        <table tableName="we_com_special_pre_send_message" domainObjectName="PreSpecialSendMessage" alias=""/>-->
<!--        <table tableName="we_com_send_msg_result" domainObjectName="SendMsgResult" alias=""/>-->
<!--        <table tableName="we_com_corp" domainObjectName="Corp" alias=""/>-->
<!--        <table tableName="we_com_moment_send_message" domainObjectName="MomentSendMessage" alias=""/>-->
<!--        <table tableName="we_com_staff_with_user" domainObjectName="StaffWithUser" alias=""/>-->
<!--        <table tableName="we_com_corp_statistics_total" domainObjectName="CorpStatisticsTotal" alias=""/>-->
<!--        <table tableName="we_com_staff_statistics_total" domainObjectName="StaffStatisticsTotal" alias=""/>-->
<!--        <table tableName="we_com_staff_group_statistics_total" domainObjectName="StaffGroupStatisticsTotal" alias=""/>-->
<!--        <table tableName="video_growth_multi_cover" domainObjectName="VideoGrowthMultiCover" alias=""/>-->
<!--        <table tableName="video_growth_multi_title" domainObjectName="VideoGrowthMultiTitle" alias=""/>-->
        <table tableName="external_channel" domainObjectName="ExternalChannel" alias=""/>

    </context>

</generatorConfiguration>